UntrustedSSLProtocolSocketFactory (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.security.UntrustedSSLProtocolSocketFactory class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util.security
Class UntrustedSSLProtocolSocketFactory

    java.lang.Object
      org.apache.commons.httpclient.protocol.SSLProtocolSocketFactory
          org.hyperic.util.security.UntrustedSSLProtocolSocketFactory

All Implemented Interfaces:
  org.apache.commons.httpclient.protocol.ProtocolSocketFactory, org.apache.commons.httpclient.protocol.SecureProtocolSocketFactory

    public class UntrustedSSLProtocolSocketFactory

extends org.apache.commons.httpclient.protocol.SSLProtocolSocketFactory

Constructor Summary
`UntrustedSSLProtocolSocketFactory()`

Method Summary
`java.net.Socket` | `createSocket(java.net.Socket socket, java.lang.String host, int port, boolean autoClose)`
`java.net.Socket` | `createSocket(java.lang.String host, int port)`
`java.net.Socket` | `createSocket(java.lang.String host, int port, java.net.InetAddress clientHost, int clientPort)`
`java.net.Socket` | `createSocket(java.lang.String host, int port, java.net.InetAddress clientHost, int clientPort, org.apache.commons.httpclient.params.HttpConnectionParams params)`
`static void` | `register()`
`static void` | `unregister()`

Methods inherited from class org.apache.commons.httpclient.protocol.SSLProtocolSocketFactory
`equals, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UntrustedSSLProtocolSocketFactory

    public UntrustedSSLProtocolSocketFactory()

Method Detail

### register

    public static void register()

### unregister

    public static void unregister()

### createSocket

    public java.net.Socket createSocket(java.lang.String host,
                                        int port,
                                        java.net.InetAddress clientHost,
                                        int clientPort)
                                 throws java.io.IOException,
                                        java.net.UnknownHostException

  Specified by:
    `createSocket` in interface `org.apache.commons.httpclient.protocol.ProtocolSocketFactory`
  Overrides:
    `createSocket` in class `org.apache.commons.httpclient.protocol.SSLProtocolSocketFactory`
  Throws:
    `java.io.IOException`
    `java.net.UnknownHostException`

### createSocket

    public java.net.Socket createSocket(java.lang.String host,
                                        int port)
                                 throws java.io.IOException,
                                        java.net.UnknownHostException

  Specified by:
    `createSocket` in interface `org.apache.commons.httpclient.protocol.ProtocolSocketFactory`
  Overrides:
    `createSocket` in class `org.apache.commons.httpclient.protocol.SSLProtocolSocketFactory`
  Throws:
    `java.io.IOException`
    `java.net.UnknownHostException`

### createSocket

    public java.net.Socket createSocket(java.net.Socket socket,
                                        java.lang.String host,
                                        int port,
                                        boolean autoClose)
                                 throws java.io.IOException,
                                        java.net.UnknownHostException

  Specified by:
    `createSocket` in interface `org.apache.commons.httpclient.protocol.SecureProtocolSocketFactory`
  Overrides:
    `createSocket` in class `org.apache.commons.httpclient.protocol.SSLProtocolSocketFactory`
  Throws:
    `java.io.IOException`
    `java.net.UnknownHostException`

### createSocket

    public java.net.Socket createSocket(java.lang.String host,
                                        int port,
                                        java.net.InetAddress clientHost,
                                        int clientPort,
                                        org.apache.commons.httpclient.params.HttpConnectionParams params)
                                 throws java.io.IOException,
                                        java.net.UnknownHostException,
                                        org.apache.commons.httpclient.ConnectTimeoutException

  Specified by:
    `createSocket` in interface `org.apache.commons.httpclient.protocol.ProtocolSocketFactory`
  Overrides:
    `createSocket` in class `org.apache.commons.httpclient.protocol.SSLProtocolSocketFactory`
  Throws:
    `java.io.IOException`
    `java.net.UnknownHostException`
    `org.apache.commons.httpclient.ConnectTimeoutException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.